Bug 18991 - Fix cleanup in t/db_dependent/Log.t
Summary: Fix cleanup in t/db_dependent/Log.t
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Lari Taskula
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-27 14:55 UTC by Lari Taskula
Modified: 2017-08-24 13:56 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18991: Fix cleanup in t/db_dependent/Log.t (1.47 KB, patch)
2017-07-27 14:58 UTC, Lari Taskula
Details | Diff | Splinter Review
Bug 18991: Fix cleanup in t/db_dependent/Log.t (1.60 KB, patch)
2017-07-28 06:09 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18991: Fix cleanup in t/db_dependent/Log.t (1.70 KB, patch)
2017-07-28 10:05 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18991: [QA Follow-up] Use schema txn_begin and txn_rollback (1.74 KB, patch)
2017-07-28 10:05 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lari Taskula 2017-07-27 14:55:39 UTC
There is an action_logs entry via logaction() without transaction to be rolled back in t/db_dependent/Log.t. This leaves an entry in action_logs after the test is over.

To replicate:
1. prove t/db_dependent/Log.t
2. Observe a new entry in action_logs table
Comment 1 Lari Taskula 2017-07-27 14:58:22 UTC
Created attachment 65295 [details] [review]
Bug 18991: Fix cleanup in t/db_dependent/Log.t

There is an action_logs entry via logaction() without transaction to be rolled
back in t/db_dependent/Log.t. This leaves an entry in action_logs after
the test is over.

To replicate:
1. prove t/db_dependent/Log.t
2. Observe a new entry in action_logs table

To test:
1. Apply patch
2. prove t/db_dependent/Log.t
3. Observe there are no new entries in action_logs
Comment 2 Marc Véron 2017-07-28 06:09:14 UTC
Created attachment 65300 [details] [review]
Bug 18991: Fix cleanup in t/db_dependent/Log.t

There is an action_logs entry via logaction() without transaction to be rolled
back in t/db_dependent/Log.t. This leaves an entry in action_logs after
the test is over.

To replicate:
1. prove t/db_dependent/Log.t
2. Observe a new entry in action_logs table

To test:
1. Apply patch
2. prove t/db_dependent/Log.t
3. Observe there are no new entries in action_logs

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Marcel de Rooy 2017-07-28 10:05:19 UTC
Created attachment 65305 [details] [review]
Bug 18991: Fix cleanup in t/db_dependent/Log.t

There is an action_logs entry via logaction() without transaction to be rolled
back in t/db_dependent/Log.t. This leaves an entry in action_logs after
the test is over.

To replicate:
1. prove t/db_dependent/Log.t
2. Observe a new entry in action_logs table

To test:
1. Apply patch
2. prove t/db_dependent/Log.t
3. Observe there are no new entries in action_logs

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2017-07-28 10:05:23 UTC
Created attachment 65306 [details] [review]
Bug 18991: [QA Follow-up] Use schema txn_begin and txn_rollback

We also need just one rollback at the end here.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Jonathan Druart 2017-07-28 14:27:31 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 6 Fridolin SOMERS 2017-07-31 08:46:41 UTC
Pushed to 17.05.x, will be in 17.05.03.
Comment 7 Katrin Fischer 2017-08-01 05:55:11 UTC
These patches have been pushed to 16.11.x and will be in 16.11.11.
Comment 8 Mason James 2017-08-24 13:56:35 UTC
Pushed to 16.05.x, for 16.05.16 release